#sql("queryInsertLotatts")
  select
   lotnum,customerid,sku,lotatt01,lotatt02,lotatt03,lotatt04,lotatt05,lotatt06,lotatt07,lotatt08,lotatt09,lotatt10,lotatt11,lotatt12,lotatt13,lotatt14,lotatt15,lotatt16,lotatt17,lotatt18,addtime,addwho,edittime,editwho,receivingtime,qcreportfilename
    from inv_lot_att ia
    where IFNULL(ia.lotatt01,'') = IFNULL(rtrim(#para(lotatt01)),'')
    and IFNULL(ia.lotatt02,'') = IFNULL(rtrim(#para(lotatt02)),'')
    and IFNULL(ia.lotatt03,'') = IFNULL(rtrim(#para(lotatt03)),'')
    and IFNULL(ia.lotatt04,'') = IFNULL(rtrim(#para(lotatt04)),'')
    and IFNULL(ia.lotatt05,'') = IFNULL(rtrim(#para(lotatt05)),'')
    and IFNULL(ia.lotatt06,'') = IFNULL(rtrim(#para(lotatt06)),'')
    and IFNULL(ia.lotatt07,'') = IFNULL(rtrim(#para(lotatt07)),'')
    and IFNULL(ia.lotatt08,'') = IFNULL(rtrim(#para(lotatt08)),'')
    and IFNULL(ia.lotatt09,'') = IFNULL(rtrim(#para(lotatt09)),'')
    and IFNULL(ia.lotatt10,'') = IFNULL(rtrim(#para(lotatt10)),'')
    and IFNULL(ia.lotatt11,'') = IFNULL(rtrim(#para(lotatt11)),'')
    and IFNULL(ia.lotatt12,'') = IFNULL(rtrim(#para(lotatt12)),'')
    and IFNULL(ia.lotatt13,'') = IFNULL(rtrim(#para(lotatt13)),'')
    and IFNULL(ia.lotatt14,'') = IFNULL(rtrim(#para(lotatt14)),'')
    and IFNULL(ia.lotatt15,'') = IFNULL(rtrim(#para(lotatt15)),'')
    and IFNULL(ia.lotatt16,'') = IFNULL(rtrim(#para(lotatt16)),'')
    and IFNULL(ia.lotatt17,'') = IFNULL(rtrim(#para(lotatt17)),'')
    and IFNULL(ia.lotatt18,'') = IFNULL(rtrim(#para(lotatt18)),'')
    and ia.customerid = #para(customerid) and ia.sku = #para(sku)
#end


